* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.container {
  margin: 0 auto;
  width: 100%;
  padding: 0px 16px;
}

button {
  background-color: #0a224a;
  color: #fff;
  padding: 17px 65px;
  border: none;
  font-family: "Roboto", sans-serif;
  font-size: 18px;
  font-weight: 400;
  line-height: 24px;
}
button:hover, button:focus {
  background-color: #061835;
}

h1 {
  color: #0a224a;
  font-family: "Playfair Display", serif;
  font-size: 28px;
  font-weight: 400;
  line-height: 42px;
  text-transform: uppercase;
}

h2 {
  color: #0a224a;
  font-family: "Roboto", sans-serif;
  font-size: 28px;
  font-weight: 400;
  line-height: 45px;
  text-transform: uppercase;
}

h3 {
  color: #0a224a;
  text-align: center;
  font-family: "Roboto", sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 18px;
  opacity: 0.8;
}

p, a {
  color: #0a224a;
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-decoration: none;
}

.logo-icon {
  width: 100px;
  height: 16px;
  fill: #0a224a;
}

.logo-container {
  display: grid;
  align-items: center;
}

.logo-icon--white {
  fill: #fff;
}

body:has(.burger-menu-input:checked) {
  overflow: hidden;
}

@media (min-width: 768px) {
  .container {
    padding: 0 32px;
  }
  h1 {
    font-size: 50px;
    line-height: 75px;
  }
  h2 {
    font-size: 32px;
    line-height: 45px;
  }
  h3 {
    font-size: 16px;
    line-height: 24px;
  }
  p {
    font-size: 18px;
    line-height: 27px;
  }
  .logo-icon {
    width: 127px;
  }
}
@media (min-width: 1440px) {
  .container {
    width: 1320px;
    padding: 0;
  }
  .container--small {
    width: 1096px;
    margin: 0 auto;
    padding: 0;
  }
}
.aboutus-block {
  background-color: #f7faff;
  font-family: "Roboto", sans-serif;
  color: #0a224a;
  font-weight: 400;
}
.aboutus-block__name {
  display: flex;
  width: 134px;
  align-items: center;
  padding: 64px 0 30px 16px;
}
.aboutus-block__svg {
  margin-right: 20px;
}
.aboutus-block__title {
  margin: 0 auto;
  width: 343px;
  font-size: 28px;
  line-height: 42px;
}
.aboutus-block__slogan {
  width: 343px;
  margin: 30px auto 0 auto;
}
.aboutus-block__statistics {
  margin: 0 auto;
  width: 170px;
  text-align: center;
  padding-bottom: 64px;
}
.aboutus-block__statelem {
  width: 170px;
}
.aboutus-block__senum {
  font-size: 50px;
  line-height: 75px;
  text-transform: uppercase;
  margin: 30px 0 14px 0;
}
.aboutus-block__statelemr {
  width: 170px;
}
.aboutus-block__img {
  margin-bottom: 64px;
  width: 100vw;
}

@media (min-width: 768px) {
  .aboutus {
    margin-top: 100px;
  }
  .aboutus-block {
    width: 704px;
    margin: 30px auto;
  }
  .aboutus-block__name {
    width: 144px;
    padding: 64px 0 30px 16px;
  }
  .aboutus-block__title {
    width: 576px;
  }
  .aboutus-block__slogan {
    width: 576px;
  }
  .aboutus-block__statistics {
    width: 576px;
    display: flex;
    padding-bottom: 36px;
  }
  .aboutus-block__statelem {
    margin-right: 33px;
  }
  .aboutus-block__statelemr {
    margin-right: 0;
  }
  .aboutus-block__senum {
    width: 170px;
  }
  .aboutus-block__setxt {
    width: 170px;
  }
  .aboutus-block__img {
    margin: 0 32px 100px;
    width: calc(100% - 64px);
  }
}
@media (min-width: 1440px) {
  .aboutus {
    background-color: #fff;
    display: flex;
  }
  .aboutus-block {
    height: 500px;
    width: 760px;
    margin: 20px auto;
  }
  .aboutus-block__name {
    width: 200px;
    padding: 36px 0 30px 69px;
  }
  .aboutus-block__title {
    width: 622px;
  }
  .aboutus-block__slogan {
    width: 622px;
  }
  .aboutus-block__statistics {
    width: 622px;
    display: flex;
    padding-bottom: 34px;
  }
  .aboutus-block__statelem {
    margin-right: 23px;
  }
  .aboutus-block__senum {
    text-transform: uppercase;
    margin: 30px 28px 0 28px;
  }
  .aboutus-block__setxt {
    width: 170px;
  }
  .aboutus-block__statelemr {
    margin-right: 0;
  }
  .aboutus-block__img {
    margin: 0 32px 100px;
    width: auto;
  }
}
.price {
  color: #0a224a;
  margin-top: 64px;
}
.price-card {
  display: flex;
  margin: 30px 0;
  font-family: "Roboto", sans-serif;
  overflow: hidden;
  justify-content: space-between;
}
.price-card__cost {
  display: flex;
  flex-direction: row-reverse;
  width: 77px;
  font-size: 16px;
  font-weight: 700;
  line-height: 24px;
  margin: 9px 0;
}
.price-card__name {
  display: flex;
  width: 189px;
  position: relative;
  right: 64px;
}
.price-card__name p {
  width: 125px;
  line-height: 42px;
  font-weight: 400;
  font-size: 28px;
}
.price-card__svg {
  width: 50px;
  margin: 18px 14px 18px 0;
}
.price-card:hover .price-card__name {
  right: 10px;
  transition: 0.5s;
  transition-timing-function: ease-out;
}

@media (min-width: 768px) {
  .price {
    margin-top: 100px;
  }
  .price-card__name {
    width: 213px;
    right: 80px;
  }
  .price-card__name p {
    font-size: 32px;
    line-height: 45px;
  }
  .price-card__cost {
    font-size: 18px;
    line-height: 27px;
    width: 86px;
  }
  .price-card__svg {
    margin: 21px 30px 21px 0;
  }
  .price-card:hover .price-card__name {
    right: 0;
  }
}
.beatsellers {
  width: 343px;
  margin: 0 auto;
}
.beatsellers-name {
  margin: 0 auto;
  font-size: 28px;
  line-height: 42px;
  width: 179px;
}
.beatsellers-block {
  margin: 0 auto;
  color: #0a224a;
}
.beatsellers-block__image {
  margin-bottom: 14px;
  margin-top: 21px;
}
.beatsellers-block__price {
  font-weight: 700;
}
.beatsellers-block__scard {
  margin-top: 30px;
}
.beatsellers-block__simage {
  margin-bottom: 14px;
}

@media (min-width: 768px) {
  .beatsellers {
    margin: 100px auto;
    width: 704px;
  }
  .beatsellers-block__image {
    margin-top: 30px;
    width: 704px;
    margin-bottom: 15px;
  }
  .beatsellers-block__tcard {
    display: flex;
  }
  .beatsellers-block__scard {
    margin-top: 32px;
  }
  .beatsellers-block__simage {
    margin-bottom: 15px;
  }
  .beatsellers-block__scardl {
    margin-right: 32px;
  }
}
@media (min-width: 1440px) {
  .beatsellers {
    width: 1096px;
  }
  .beatsellers-block {
    display: flex;
  }
  .beatsellers-block__image {
    margin-top: 30px;
    width: 536px;
    margin-bottom: 15px;
  }
  .beatsellers-block__tcard {
    width: 536px;
    display: flex;
  }
  .beatsellers-block__scard {
    margin-top: 30px;
  }
  .beatsellers-block__simage {
    margin-bottom: 15px;
  }
  .beatsellers-block__scardl {
    margin-right: 20px;
    margin-left: 24px;
  }
}
.clients-reviews {
  background-color: #f7faff;
  font-family: "Roboto", sans-serif;
}
.clients-reviews__block {
  display: flex;
  min-width: 0;
}
.clients-reviews__card {
  background-color: #fff;
  border-radius: 8px;
  margin: 30px 16px 36px;
  width: calc(100% - 16px) !important;
}
.clients-reviews__card img {
  width: 48px;
}
.clients-reviews__userdata {
  margin: 24px 0 0 24px;
  color: #0a224a;
  font-size: 18px;
  display: flex;
  font-family: "Roboto", sans-serif;
}
.clients-reviews__textdata {
  margin-left: 14px;
}
.clients-reviews__textdata h3 {
  line-height: 32px;
  text-transform: uppercase;
  font-size: 18px;
  font-weight: 700;
}
.clients-reviews__comment {
  margin: 24px;
  line-height: 20px;
  font-size: 14px;
  width: 296px;
}
.clients-reviews h2 {
  margin: 0 auto;
  padding-top: 36px;
  width: 233px;
  line-height: 42px;
  font-size: 28px;
}

.clients-reviews .slick-track {
  display: flex;
  gap: 0 !important;
}
.clients-reviews .slick-list {
  overflow: hidden;
}
.clients-reviews .slick-arrow {
  position: absolute;
}
.clients-reviews .slick-slide {
  height: auto !important;
}

@media (min-width: 768px) {
  .clients-reviews__block {
    margin-left: 32px;
  }
  .clients-reviews__card {
    margin: 30px 16px 36px 0;
    width: calc(50% - 16px) !important;
  }
  .clients-reviews__card img {
    width: 69px;
  }
  .clients-reviews__userdata {
    font-size: 20px;
  }
  .clients-reviews__textdata {
    margin-left: 14px;
  }
  .clients-reviews__textdata h3 {
    line-height: 45px;
  }
  .clients-reviews__textdata p {
    line-height: 24px;
    font-size: 16px;
  }
  .clients-reviews__comment {
    margin-top: 14px;
    line-height: 27px;
    font-size: 18px;
  }
  .clients-reviews h2 {
    width: 266px;
  }
}
@media (min-width: 1440px) {
  .clients-reviews__block {
    margin: 0 auto;
    width: 1296px;
  }
  .clients-reviews__card {
    margin: 30px 24px 60px 0;
    width: calc(33% - 24px) !important;
  }
  .clients-reviews__comment {
    margin-top: 16px;
    width: 360px;
  }
  .clients-reviews h2 {
    padding-top: 60px;
  }
}
.header {
  overflow: hidden;
  height: 88px;
  background-color: #f7faff;
  display: grid;
  align-content: center;
}
.header__container {
  margin: 24px auto;
  display: flex;
  justify-content: space-between;
}
.header__nav {
  display: none;
}

.burger-menu {
  width: 32px;
  height: 32px;
}
.burger-menu__cont {
  width: 32px;
  height: 32px;
  display: grid;
  gap: 3px;
  justify-content: center;
  align-content: space-evenly;
}
.burger-menu__line-cont--none {
  opacity: 1;
  transition: opacity 0.4s;
}
.burger-menu__line-cont--down {
  position: relative;
}
.burger-menu__line {
  background-color: #0a224a;
  display: block;
  width: 32px;
  height: 4px;
  border-radius: 5px;
  transition: transform 0.4s;
}
.burger-menu__line::before {
  content: "";
  background-color: #0a224a;
  display: block;
  width: 32px;
  height: 4px;
  border-radius: 5px;
  position: relative;
  top: 7px;
  transition: transform 0.4s;
}
.burger-menu-input {
  display: none;
}
.burger-menu-input:checked ~ .mobile-menu {
  display: inherit;
}
.burger-menu-input:checked ~ .burger-menu .burger-menu__line-cont--none {
  opacity: 0.1;
}
.burger-menu-input:checked ~ .burger-menu .burger-menu__line-cont--down {
  top: 200%;
}
.burger-menu-input:checked ~ .burger-menu .burger-menu__line {
  transform: rotate(45deg);
}
.burger-menu-input:checked ~ .burger-menu .burger-menu__line::before {
  transform: rotate(90deg);
  top: 0;
}
.burger-menu .logo-icon {
  width: 100px;
  height: 16px;
}

.mobile-menu {
  display: none;
  position: absolute;
  z-index: 99;
  left: 0;
  right: 0;
  margin: 28px 0;
  padding-top: 122px;
  height: 100vh;
  background-color: #fff;
}
.mobile-menu-nav {
  margin: 0 auto;
  display: grid;
  justify-content: center;
}
.mobile-menu-nav__list {
  display: grid;
  gap: 17px;
  justify-items: center;
}

@media (min-width: 768px) {
  .header {
    height: 95px;
  }
  .header__container {
    margin: 28px auto;
  }
  .mobile-menu {
    padding-top: 150px;
  }
  .mobile-menu-button--open {
    width: 40px;
    height: 40px;
  }
  .mobile-menu-button-cont {
    width: 40px;
    height: 40px;
  }
  .line {
    width: 40px;
  }
  .line::before {
    content: "";
    width: 40px;
    top: 8px;
  }
}
@media (min-width: 950px) {
  .mobile-menu-nav__list {
    gap: 30px;
  }
  .mobile-menu-nav__link {
    font-size: 25px;
  }
}
@media (min-width: 1440px) {
  .header__container {
    display: flex;
  }
  .header__nav {
    display: inherit;
  }
  .nav__list {
    display: flex;
    gap: 30px;
  }
  .mobile-menu-button--open {
    display: none;
  }
}
.banner__container {
  position: relative;
  padding: 0;
}
.banner__image {
  width: 100%;
}
.banner__image--first {
  height: 90vh;
}
.banner__image--second, .banner__image--third {
  display: none;
}
.banner__wrapper {
  position: absolute;
  top: 140px;
  padding: 0px 16px;
}
.banner__content {
  display: grid;
  margin-top: 14px;
  gap: 28px;
}
.banner__content--tablet {
  display: none;
}

@media (min-width: 768px) {
  .banner-section {
    padding-top: 64px;
  }
  .banner__container {
    display: flex;
    gap: 32px;
    align-items: end;
    padding: 0 32px;
  }
  .banner__image-container--first {
    width: 85%;
  }
  .banner__image-container--second {
    width: 100%;
  }
  .banner__image--first {
    height: 40%;
  }
  .banner__image--second {
    display: block;
  }
  .banner__wrapper {
    padding: 0 60px 0 0;
    top: 0;
  }
  .banner__content {
    display: none;
  }
  .banner__content--tablet {
    display: grid;
    gap: 30px;
    width: 40%;
    margin: 32px;
  }
}
@media (min-width: 1440px) {
  .banner__container {
    padding: 0;
  }
  .banner__image-container--first {
    width: 310px;
    height: 318px;
  }
  .banner__image-container--third {
    align-self: start;
  }
  .banner__image--first {
    width: 310px;
    height: 318px;
  }
  .banner__image--third {
    display: block;
    align-self: start;
    width: 312px;
    height: 337px;
  }
  .banner__wrapper {
    padding: 0;
    width: 100%;
    height: 100%;
    display: flex;
  }
  .banner__title {
    width: 60%;
  }
  .banner__content {
    display: grid;
    gap: 30px;
    width: 312px;
    position: absolute;
    bottom: 0;
    right: 0;
  }
  .banner__content--tablet {
    display: none;
  }
}
.our-products-section {
  padding-top: 100px;
}
.our-products-section .slick-track {
  display: flex;
  gap: 16px;
}
.our-products__title {
  margin-bottom: 31px;
  text-align: center;
}
.our-products__image {
  width: 100%;
  margin-bottom: 15px;
}

@media (min-width: 768px) {
  .our-products-section .slick-track {
    gap: 24px;
  }
}
@media (max-width: 1440px) {
  .our-products__carousel:hover {
    cursor: grab;
  }
}
.form__container {
  padding-top: 64px;
  padding-bottom: 64px;
}
.form__wrapper {
  max-width: 536px;
}
.form__title {
  text-align: center;
  margin-bottom: 20px;
}
.form__form-cont {
  display: grid;
  gap: 20px;
  margin: 30px 0px;
}
.form__input {
  min-height: 50px;
  width: 100%;
  padding: 0 20px;
  border: 1px solid #b6b6b6;
  outline: none;
  color: #0a224a;
}
.form__input-cont {
  position: relative;
}
.form__input ~ label {
  position: absolute;
  top: 13px;
  right: 20px;
  display: none;
}
.form__input::-moz-placeholder {
  color: #d9d9d9;
}
.form__input::placeholder {
  color: #d9d9d9;
}
.form__input:focus {
  border-color: #0a224a;
}
.form__input:invalid {
  color: #e74a3b;
  border-color: #e74a3b;
}
.form__input:invalid ~ label {
  display: inherit;
}
.form__icon--error {
  width: 24px;
  height: 24px;
  fill: #e74a3b;
}
.form__checkbox-wrapper {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 10px;
}
.form__photo-container {
  max-width: 536px;
  margin-top: 30px;
}
.form__photo-container img {
  width: 100%;
}

.agree-box {
  display: none;
}
.agree-box__button {
  width: 25px;
  height: 25px;
  border-radius: 0;
  color: #fff;
  border: 1px solid #b6b6b6;
  display: flex;
  align-items: center;
  justify-content: center;
}
.agree-box:checked ~ .agree-box__button {
  background-color: #0a224a;
  border: none;
}
.agree-box:checked ~ .agree-box__button .agree-box__icon {
  display: inherit;
}
.agree-box__icon {
  width: 13px;
  height: 13px;
  display: none;
}
.agree-box__text {
  color: #7a7a7a;
  font-family: "Roboto", "sans-serif";
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
}

@media (min-width: 768px) {
  .form__container {
    padding-top: 100px;
  }
  .form__title {
    text-align: start;
    margin-bottom: 30px;
  }
  .form__photo-container {
    max-width: 100%;
    margin-top: 64px;
  }
  .agree-box__text {
    font-size: 18px;
    line-height: 27px;
  }
}
@media (min-width: 1440px) {
  .form__container {
    display: flex;
    justify-content: space-between;
    padding-bottom: 86px;
  }
  .form__photo-container {
    max-width: 460px;
    margin: 0;
  }
  .form__photo-container img {
    height: 100%;
  }
}
.footer {
  background-color: #0a224a;
}
.footer__container {
  padding-top: 36px;
  padding-bottom: 16px;
  display: grid;
  grid-template-columns: 2fr 1fr;
}
.footer__nav {
  margin-top: 42px;
}
.footer__content {
  color: #fff;
}
.footer__sub-title {
  opacity: 0.6;
  text-align: center;
}
.footer__sub-title-cont {
  margin-top: 64px;
  grid-column-start: 1;
  grid-column-end: 3;
}
.footer .nav__list {
  display: grid;
  gap: 8px;
}
.footer .nav__item {
  color: aqua;
}
.footer__located {
  display: grid;
  gap: 8px;
  margin-top: 36px;
  grid-column-start: 1;
}
.footer__number {
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-top: 35px;
  grid-column-start: 1;
}

.messengers {
  display: flex;
  flex-direction: column;
  align-items: end;
  grid-column-start: 2;
  gap: 16px;
}

.messengers-icon {
  width: 28px;
  height: 28px;
}

@media (min-width: 350px) {
  .messengers {
    flex-direction: row;
    justify-content: end;
  }
}
@media (min-width: 768px) {
  .footer__container {
    padding: 48px 32px 36px;
  }
  .footer__nav {
    margin-top: 0;
    grid-column-start: 2;
    grid-row-start: 1;
    grid-row-end: 4;
  }
  .footer__sub-title {
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 1.188px;
  }
  .footer__sub-title-cont {
    display: grid;
    justify-items: center;
    grid-column-start: 1;
    grid-column-end: 4;
  }
  .footer .nav__list {
    gap: 16px;
  }
  .messengers {
    grid-column-start: 3;
    justify-content: end;
  }
  .messengers-container {
    width: 40px;
    height: 40px;
  }
}
@media (min-width: 1440px) {
  .footer__container {
    padding-top: 48px;
    grid-template-columns: 1fr 2fr 1fr;
  }
  .footer__number {
    gap: 24px 87px;
    grid-row-start: 2;
    grid-column-start: 2;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    height: 72px;
  }
  .footer .nav__list {
    display: flex;
    gap: 30px;
  }
  .footer__number, .footer__located {
    margin-top: 24px;
  }
  .footer__sub-title-cont {
    margin-top: 35px;
  }
  .messengers {
    gap: 30px;
  }
}